Goals
Delete Goal
Deletes a goal. This action cannot be undone.
DELETE /api/sites/:site/goals/:goalIdDeletes a goal. This action cannot be undone.
Path Parameters
Prop
Type
Response
Prop
Type
curl -X DELETE "https://app.rybbit.io/api/sites/1/goals/123" \
-H "Authorization: Bearer your_api_key_here"const response = await fetch(
'https://app.rybbit.io/api/sites/1/goals/123',
{
method: 'DELETE',
headers: {
'Authorization': 'Bearer your_api_key_here'
}
}
);
const data = await response.json();import requests
response = requests.delete(
'https://app.rybbit.io/api/sites/1/goals/123',
headers={
'Authorization': 'Bearer your_api_key_here'
}
)
data = response.json()$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://app.rybbit.io/api/sites/1/goals/123');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'DELETE');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer your_api_key_here'
]);
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);require 'net/http'
require 'json'
uri = URI('https://app.rybbit.io/api/sites/1/goals/123')
request = Net::HTTP::Delete.new(uri)
request['Authorization'] = 'Bearer your_api_key_here'
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
http.request(request)
end
data = JSON.parse(response.body)req, _ := http.NewRequest("DELETE", "https://app.rybbit.io/api/sites/1/goals/123", nil)
req.Header.Set("Authorization", "Bearer your_api_key_here")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
var data map[string]interface{}
json.NewDecoder(resp.Body).Decode(&data)let client = reqwest::Client::new();
let res = client
.delete("https://app.rybbit.io/api/sites/1/goals/123")
.header("Authorization", "Bearer your_api_key_here")
.send()
.await?;
let data: serde_json::Value = res.json().await?;HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://app.rybbit.io/api/sites/1/goals/123"))
.header("Authorization", "Bearer your_api_key_here")
.DELETE()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer your_api_key_here");
var response = await client.DeleteAsync("https://app.rybbit.io/api/sites/1/goals/123");
var data = await response.Content.ReadAsStringAsync();{
"success": true
}